Премини към съдържанието
  • Добре дошли!

    Добре дошли в нашите форуми, пълни с полезна информация. Имате проблем с компютъра или телефона си? Публикувайте нова тема и ще намерите решение на всичките си проблеми. Общувайте свободно и открийте безброй нови приятели.

    Моля, регистрирайте се за да публикувате тема и да получите пълен достъп до всички функции.

     

icemans

Skype в Kubuntu 9.04

Препоръчан отговор


Колеги, неможах да се справя с тази задача. Немога да инсталирам Скайп на Кубунту 9.04 - дава ми някаква грешка и това е! А може би не тегля подходящата версия, но като на сайта на Скайп не виждам версия за Кубунту, а пък камо ли за 9.04. Благодаря за всякаква помощ!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Здравейте,

тази версия не става ли?

http://www.skype.com/go/getskype-linux-beta-ubuntu-32 (директен линк)

Редактирано от r666 (преглед на промените)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Ами мисля, че пробвах същата, но неставаше. По-късно катя вляза под ЛИНУКС ще пробвам пак!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Айс, каква е все пак грешката :)

Логовете са първото нещо под Линукс, което трябва да гледаш :hush:

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Значи грешката която дава е: Sorry, an error occured и отдолу пише A problem that we were not expecti. Please report this bug with the error. Има и бутон с детайли - Traceback (most recent call last): File "/usr/lib/python2.6/dist-packages/packagekit/daemonBackend.py", line 109, in run threading.Thread.run(self) File "/usr/lib/python2.6/threading.py", line 477, in run self.__target(*self.__args, **self.__kwargs) File "/usr/lib/packagekit/aptDBUSBackend.py", line 168, in wrapper func(*args, **kwargs) File "/usr/lib/packagekit/aptDBUSBackend.py", line 1261, in doInstallFiles deb = debfile.DebPackage(path, self._cache) File "/usr/lib/packagekit/debfile.py", line 53, in __init__ self.open(filename) File "/usr/lib/packagekit/debfile.py", line 58, in open if not apt_inst.arCheckMember(open(self.filename), "debian-binary"): UnicodeEncodeError: 'ascii' codec can't encode characters in position 14-22: ordinal not in range(128)

И понеже пробвах някой други неща по съвет от един друг форум ще копирам поста ми от там:

Ами Кубунту-то е 32 битово мисля, тъй като преди същото Лайв СД от което инсталирах сега го пусках на 32 битов процесор. Скайп-а го дърпам от посочените линкове които и са си от сайта на Скайп. Грешката я дава на .deb пакета. Не съм пробвал със статичния, тъй като още съм ошашавен. С такова желание го сложих, а започнаха гафовете! Кубунту-то е на български! Конзолен изход незнам как да ти дам. А с командата dpkg -i пак не се ппполучава:

[email protected]:~$ sudo dpkg -i skype-ubuntu-intrepid_2.1.0.47-1_i386.deb

[sudo] password for validob:

dpkg: грешка при обработка на skype-ubuntu-intrepid_2.1.0.47-1_i386.deb (--install):

не може да се използва архив: No such file or directory

Възникнаха грешки при обработката:

skype-ubuntu-intrepid_2.1.0.47-1_i386.deb

[email protected]:~$

П.П. С донамичната версия на Скайп от този линк се получи, но скайпа е малко дървен. По-късно ще пробвам и с някаква статична - незнам каква е разликата. Но интересно защо неможе да се инсталира?! И няма ли начин да се инсталира като го потърся в KPackageKit?


Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Можеш да ползваш статичния пакет на Skype. Той си е същия, само че е прекомпилиран с всичките му необходими библиотеки и не се нуждае от инсталация. Разархивираш го, после слагаш папката на удобно за теб място, правиш един шорткът(стартер) на десктопа и това е.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Значи с динамичния пакет работи. Сега сложих и статичната, но невиждам разлика - каква трябва да е тя? А иначе версиите са 2.1 много дървени - няма ли някоя по-нова?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Значи с динамичния пакет работи. Сега сложих и статичната, но невиждам разлика - каква трябва да е тя? А иначе версиите са 2.1 много дървени - няма ли някоя по-нова?

Разлика във функционалността няма. Динамик версията разчита на това, че може би вече има инсталирани някои библиотеки и може да си ги зареди. Докато Статичния пакет си идва с всичко, без значение дали имаш или нямаш инсталирани, нужните му библиотеки. Иначе това е новата версия на скайп за линукс, по-нова може да има, ама след някоя друга година. А колкото до дървения вид, еми свиква се. ;) Поне са изчистени откъм щуротии.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

А м/у другото сега пробвах да инсталирам и flash player и там ми дава абсолютно същата грешка!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Скайп-а мисля, че се инсталира като преместих файла в "Домашна директория" и с командата dpkg -i

[email protected]:~$ sudo dpkg -i skype-ubuntu-intrepid_2.1.0.47-1_i386.deb

Избиране на предишно деизбран пакет skype.

(Четене на базата данни ... 90867 файла и папки са текущо инсталирани.)

Извличане от skype (от skype-ubuntu-intrepid_2.1.0.47-1_i386.deb) ...

Инсталиране на skype (2.1.0.47-1) ...

[email protected]:~$

ДА се надявам ли, че е инсталиран и коя е директорията в която се инсталира за да го проверя? С флаш плейъра пробвах някаква команда: aptitude install flashplugin-installer, но без ефект?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

icemans, не е необходимо за всеки проблем, свързан с Kubuntu, да се отваря нова тема. Може да се търси помощ и във вече съществуващата.

Забелязал си вече, че командата "sudo dpkg -i име_на_пакет.deb" трябва да се изпълни в директорията, където се намира пакета (иначе може да получиш "No such file or directory"). Може и с файлов мениджър (Dolphin, Konqueror...) да отидеш в директорията на пакета и след клик върху него с десен бутон, да избереш "Open with-> GDebi Package Instaler".

На кой браузър се опитваш да инсталираш flashplugin-а? За да тръгне на Konqueror, първо трябва самият Konqueror да е компилиран с поддръжка на Netscape plugins (пише го във FAQ). Този, който идва с дистрибуциите, почти сигурно е компилиран подходящо.

Освен това ще трябва да има инсталиран konqueror-nsplugins. Отвори KPackageKit (Software Management), пусни търсене за този пакет и виж дали е инсталиран (иконата трябва да е цветна и в дясно - за Action, да има минус).

След това търсиш и инсталираш пакет flashplugin-nonfree. Отваряш Konqueror и от менюто избираш "Settings -> Configure Konqueror", а в прозореца избираш "Plugins-> <tab> Plugins-> <button> Scan for Plugins". В списъка отдолу трябва да се появи "Plugin /usr/lib/firefox/plugins/flashplugin-alternative.so". По този начин Konqueror ще сканира и намери всички инсталирани плъгини за Netscape (команда "/usr/bin/nspluginscan" също показва къде са инсталирани тези плъгини). Трябва и да имаш отметка на "Enable plugins globally" в <tab>Global Settings. Вече би трябвало да нямаш проблеми с flash при Konqueror (пробвах на сайта на btv и при мен работеше).

Изпълнимите файлове (на инсталираните от пакети/репозитории програми) по правило се намират в /usr/bin. Може да ги търсиш в тази директория.

Skype идва с тема cleanlooks. Тя може да се забрани с подобна команда (или с добавяне на опциите към елемент от меню / стартер на десктопа) : "/usr/bin/skype --disable-cleanlooks" (важи за инсталирано от пакет Skype). По този начин вече ще се използва текущата Qt тема.

До колкото знам, при статичната версия на Skype темата може да се смени само на Plastique (с предишната команда само се маха темата cleanlooks). Смяната става с подобна команда от директорията, където е разархивирана програмата: "skype --disable-cleanlooks -style Plastique".

Относно въпросът ти за крашването на Konqueror, проверил ли си кои браузъри се поддържат от онази игра? Възможно е да изисква определен браузър, както е възможно и на Konqueror да липсва нещо или да не се справя добре с онази страница.

Както са ти предложили, може да инсталираш друг браузър. Освен Firedox, може да инсталираш Opera за Linux. Добави си download manager-а KGet и свали пакета за Ubuntu от официалния сайт. След това инсталирането на пакета не е проблем. Ако вече си инсталирал flashplugin, той се използва без допълнителни настройки:

kubuntuskypeoperakonqer.th.png

Снимката е от Kubuntu 9.04, инсталирано във VirtualBox.

Редактирано от trosho (преглед на промените)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

trosho приемам забележката. Бързах да пиша, тъй като го инсталирах с голямо желание, а проблемите тръгнаха един след друг. Опитвам се и в нета да си намирам решения, но знам че тука ще получа най-бърз и адекватен отговор. Благодаря ти за съветите - ще пробвам това което успях да разбера, а и ще се опитам да си инсталирам някой друг браузър, за да видя с него как ще е - само да се опомня малко и да разбера как да търся в този KPackageKit.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

icemans, написаното, за ползване на темата за Kubuntu, е мое мнение. По-лесно е да се търси/намери информация в една тема, отколкото да се търси в целия форум. Щом администраторът е преценил, че темите ти не пречат, значи не е голям "грях".

За намиране на KPackageKit, напиши първите букви в полето за търсене на менюто. Колкото и да не харесвам Kickoff Menu-то на KDE4, трябва да се признае, че тази възможност е много удобна.

При класически вид на менюто, графичният мениджър на пакети се намира в System-> KPackageKit Software Management. Този вид на менюто може го включиш така - при отключени Widgets, десен бутон върху иконата на KMenu-> Switch to Classic Menu Style.

Когато вече си стартирал програмта, просто пишеш името на търсения пакет в полето отгоре. Пакет flashplugin-nonfree е transitional package (както пише в описанието му), който инсталира flashplugin-installer. Последният би трябвало да си го инсталирал вече с aptitude... , така че остава да направиш настройките в Konqueror.

Пускам и няколко снимки, защото е по-лесно да се види, отколкото да се четат обяснения.

kickoffmenukubuntu.th.png classicmenukubuntu.th.png kpackagekitflashplugin.th.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Хм, днес за мое учудване успях да инсталирам Firefox с KpackageKit и то много лесно - чак се изумих. Само дето неможах да си намеря любимата ми опера от там, но както и да е - засега ще бутам с това. Благодаря на всички за отзивите и бъдете сигурни, че скоро пак ще помагате ;)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Продължавам с проблемите свързани със Скайп! Интересуваме как да си променя шрифта и размера само на Скайп-а. В "Системен панел" намерих настройки на това, но е за цялата система. После прегледах в нета, че това става с qtconfig - ОК пускам го, но какво точно трябва да променя за да се получи? Има сума шрифтове и размери, но как да укажа, че искам за Скайп-а?

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Здравей!

За Операта: Правиш си предварително една папка в Домашната директория. Кликваш тук с мишката и си я изтегляш в папката. След това: Десен бутон на файла -> GDebi Package Instaler и инсталиране. И след секунди Операта ще ти бъде в Менюто.

За Скайпа: Мисля, че не може да се промени шрифта.

Успех!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

За Скайпа: Мисля, че не може да се промени шрифта.

Може да се промени. :)

icemans, първо пускаш скайп, после стартираш qtconfig. Избираш си шрифт и размер, след което запаметяваш настройките. Може да не влязат веднага в сила, а след рестартиране на скайп-а.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Предполагам, че говориш затова, но ако променя "Point Size" и нищо не се променя!

post-85380-1254061363,76_thumb.png

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Да, точно за него ти говоря. След като промениш р-ра, дай на File ->Save...(Crtl+S) и след това ресни скайп-а.

Би трябвало да ти се получи.

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добре ама не става! Сменям размера - давам му Save и след рестарт - същата работа и даже като отворя пак QT4 и размера си седи стария!

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добре ама не става! Сменям размера - давам му Save и след рестарт - същата работа и даже като отворя пак QT4 и размера си седи стария!

Здравей!

Аз бях сигурен в себе си, че няма да стане! Не се опитвай повече. Според мен и така си е добре шрифта.

А с "Операта" справи ли се?

Редактирано от maicky (преглед на промените)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Логовете Айс, логоветеее

Прилича ми на проблем с достъпа до файл. То и скайп си има по принцип проблем :biggrin:

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

... скайп си има по принцип проблем :)

Здравей!

При мен няма никакъв проблем Скайп-а! Дори ще разкрия една малка тайна - след инсталацията на Скайп-а, веднага си сменете порта! Няма да съжалявате! :)

Редактирано от maicky (преглед на промените)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Аз ще ти разкрия една голяма тайна - вече трябва да съжаляваш :)

И не само да сменяш порта, той си "върши" работата както си знае.

netstat -p като го оставиш да поработи 1 ден и ще се увериш :)

Сподели този отговор


Линк към този отговор
Сподели в други сайтове

Добавете отговор

Можете да публикувате отговор сега и да се регистрирате по-късно. Ако имате регистрация, влезте в профила си за да публикувате от него.

Гост
Напишете отговор в тази тема...

×   Вмъкнахте текст, който съдържа форматиране.   Премахни форматирането на текста

  Разрешени са само 75 емотикони.

×   Съдържанието от линка беше вградено автоматично.   Премахни съдържанието и покажи само линк

×   Съдържанието, което сте написали преди беше възстановено..   Изтрий всичко

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Добави ново...